=== debian/watch ===
version=3 
https://github.com/nwchemgit/nwchem/releases .*/archive/v?([\d.]+)-release\.tar\.(?:bz2|gz)
