## nwchem 7.0.1

=== debian/changelog ===
nwchem (7.0.1-1) unstable; urgency=medium

  * New upstream minor release.
  * debian/patches/02_makefile_flags.patch: Updated.
  * debian/patches/15_testsuite_print_output_on_failure.patch: Likewise.
  * debian/patches/17_pspw_scalapack.patch: Removed, applied upstream.
  * debian/patches/18_mcscf_scalapack.patch: Likewise.

 -- Michael Banck <mbanck@debian.org>  Sat, 10 Oct 2020 14:59:15 +0200
