=== debian/changelog ===
nwchem (7.0.2-1) unstable; urgency=medium

  * New upstream minor release.

 -- Michael Banck <mbanck@debian.org>  Wed, 06 Jan 2021 12:19:32 +0100
