=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_ARCH_BITS := $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
DEB_HOST_ARCH      := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(filter checkall,$(DEB_BUILD_OPTIONS)))
export RUN_ALL_TESTS ="yes"
endif

include /usr/share/mpi-default-dev/debian_defaults

ifeq ($(DEB_HOST_ARCH_BITS),64)
export NWCHEM_TARGET=LINUX64
export USE_64TO32="yes"
else
export NWCHEM_TARGET=LINUX
endif
export BLAS_SIZE=4
export BLAS_LIB="-lblas"
export LAPACK_LIB="-llapack"
export USE_SCALAPACK="yes"
export SCALAPACK_SIZE=4
export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
ifeq ($(DEB_HOST_ARCH),armhf)
export GCC49_ARM_BROKEN="yes"
endif
export NWCHEM_TOP=${CURDIR}
export NWCHEM_MODULES="pnnl"
export NWCHEM_LONG_PATHS="y"
export EXTERNAL_GA_PATH=/usr
export PYTHONVERSION=$(shell pyversions -dv)
export PYTHONHOME=$(shell python-config --prefix)
export LIBDIR=${NWCHEM_TOP}/lib/${NWCHEM_TARGET}
export LARGE_FILES=TRUE
export FC=gfortran
export USE_MPI="y"
export USE_MPIF="y"
export USE_MPIF4="y"
ifeq ($(ARCH_DEFAULT_MPI_IMPL),mpich)
export LIBMPI=-lmpi -lmpif77
else
export LIBMPI=$(shell pkg-config mpi-fort --libs)
endif
export MPI_LIB=/usr/lib
export MPI_INCLUDE=/usr/include/${DEB_HOST_MULTIARCH}/mpi
ifneq (,$(filter ccsdtq,$(DEB_BUILD_OPTIONS)))
export CCSDTQ="yes"
endif
ifneq (,$(filter ccsdtlr,$(DEB_BUILD_OPTIONS)))
export CCSDTLR="yes"
endif
export MRCC_METHODS=y
export IPCCSD=y
export EACCSD=y
export HAS_BLAS="yes"
export BLASOPT=-lblas -llapack
export BLACS=$(SCALAPACK)
export ARMCI_NETWORK=SOCKETS
export USE_ARUR="yes"

%:
	dh $@ --with autotools_dev,python3 --parallel

override_dh_auto_build-arch:
	mkdir -p $(CURDIR)/bin/${NWCHEM_TARGET}
	(cd $(CURDIR)/src && NWCHEM_TOP=$(CURDIR) make nwchem_config)
ifeq ($(DEB_HOST_ARCH_BITS),64)
	(cd $(CURDIR)/src && make 64_to_32)
	find src -name include_stamp | xargs rm -f
	find src -name dependencies | xargs rm -f
endif
	(cd $(CURDIR)/src && make)
	(cd $(CURDIR)/src/util && make)
	(cd $(CURDIR)/src && make link)
ifeq ($(DEB_HOST_ARCH_BITS),64)
	(cd $(CURDIR)/src && make 32_to_64)
endif

override_dh_auto_clean:
	dh_testdir
	-(cd $(CURDIR)/src && make realclean)
	-(cd $(CURDIR)/doc && make realclean)
	rm -rf $(CURDIR)/bin $(CURDIR)/lib $(CURDIR)/src/tools/lib 
	rm -rf $(CURDIR)/QA/scratchdir $(CURDIR)/QA/testoutputs
	rm -f src/util/util_version.F src/stubs.F src/util/util_module_avail.F src/util/util_nwchem_version.F
	find $(CURDIR) -name "*.stamp" | xargs rm -f
	dh_auto_clean
	rm -f src/config/NWCHEM_CONFIG src/config/nwchem_config.h

export RUNTESTS=$(CURDIR)/QA/runtests.mpi.unix 
export NWCHEM_EXECUTABLE=${NWCHEM_TOP}/bin/${NWCHEM_TARGET}/nwchem
export NWCHEM_BASIS_LIBRARY=${NWCHEM_TOP}/src/basis/libraries/
export NWCHEM_NWPW_LIBRARY=${NWCHEM_TOP}/src/nwpw/libraryps/

override_dh_auto_test:
	dh_testdir
	-(cd $(CURDIR)/QA && if [ "$(RUN_ALL_TESTS)" = "yes" ]; then \
	   ../debian/testsuite all; else ../debian/testsuite; fi)
