=== debian/tests/control ===
Depends: @, csh
Tests: testsuite.sh
Restrictions: allow-stderr
